STRUCT RATE_INFO(9)

NAME
struct_rate_info - bitrate information

SYNOPSIS

struct rate_info {
  u8 flags;
  u8 mcs;
  u16 legacy;
  u8 nss;
};

MEMBERS

flags
    bitflag of flags from enum rate_info_flags

mcs
    mcs index if struct describes a 802.11n bitrate

legacy
    bitrate in 100kbit/s for 802.11abg

nss
    number of streams (VHT only)

DESCRIPTION

Information about a receiving or transmitting bitrate

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT